As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 670126 - fix state of shipped-locales on mozilla-beta to include 'vi' again
: fix state of shipped-locales on mozilla-beta to include 'vi' again
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: 6 Branch
: All All
: -- critical (vote)
: Firefox 9
Assigned To: Nobody; OK to take it and work on it
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 06:01 PDT by Axel Hecht [:Pike]
Modified: 2015-07-22 11:04 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments

Description User image Axel Hecht [:Pike] 2011-07-08 06:01:38 PDT
I don't exactly know how and why, but on the last aurora-beta migration, we lost the state of shipped-locales, in particular, 'vi' is not in there anymore.

a) update shipped-locales
b) update the migration process to prevent this
c) can we recover the 'vi' b1 build?
Comment 1 User image christian 2011-07-08 09:27:55 PDT
I'm going to yank Vi out of product-details for b1 and we'll just pick it up in b2
Comment 2 User image Henrik Skupin (:whimboo) 2011-07-08 10:54:42 PDT
I assume you meant to set build config as component.
Comment 3 User image John O'Duinn [:joduinn] (please use "needinfo?" flag) 2011-07-11 15:50:25 PDT
Unclear what RelEng to do here, but commenting after irc investigation after beta meeting.

1) This bug needs a reviewed patch. 

2) I see no need to manually generate a 6.0b1 "vi" out-of-sync with the rest of 6.0b1. Instead, once this patch is landed on beta, the next 6.0betaN release will include the "vi" locale, as well as updates for "vi" users on older versions on beta. 

3) The bug summary talks about "vi", but comment#0 says "we lost the state of shipped-locales", which contains a lot of locales. Are any other locales impacted?
Comment 4 User image Axel Hecht [:Pike] 2011-07-12 04:07:52 PDT
Re 1), http://hg.mozilla.org/releases/mozilla-beta/rev/e25c5612ad5c, shipped-locales has special tree rules by drivers.

Re 3), we lost a ton of patches, some of which removed locales, and some added, the net difference of those was the loss of 'vi'.

We need to still document that we need to keep the shipped-locales state intact during the merges, as well as all-locales. Should that go into the checklist wiki page, or into the merge mechanics on github?
Comment 5 User image George Carstoiu 2011-07-14 01:57:02 PDT
Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20100101 Firefox/6.0

I've checked on http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/6.0b2-candidates/ and the 'vi' build is present.

Not quite sure why bug has the "New" status. Are there any other patches that need to be uploaded?
Comment 6 User image Axel Hecht [:Pike] 2011-07-14 02:01:52 PDT
(In reply to comment #5)
> Not quite sure why bug has the "New" status. Are there any other patches
> that need to be uploaded?

This is still open for 

(In reply to comment #4)
> We need to still document that we need to keep the shipped-locales state
> intact during the merges, as well as all-locales. Should that go into the
> checklist wiki page, or into the merge mechanics on github?
Comment 7 User image Rail Aliiev [:rail] ⌚️ET 2015-07-22 11:04:00 PDT
I believe this is fixed

Note You need to log in before you can comment on or make changes to this bug.